<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">

function checkPaymentSum( data )
{
	let sum = parseFloat( data.sum.replace(",",".") );
	if ( isNaN( sum ) )
	{
		alert( 'Введена некоректная сумма' );
		return false;		
	}
	else if ( sum < data.sumMin || sum > data.sumMax )
	{
		alert( "Введите сумму от " + data.sumMin + " до " + data.sumMax );
		return false;		
	}
	var procentSum = sum*${dataMap['commissionPercent']}/100; 
	<c:choose>
		<c:when test="${dataMap['commissionType']==1}">
			return confirm( 'Вы подтверждаете платеж на сумму - ' + sum + ' ' + data.currency + ', из них комиссия - ' + procentSum + ' ${currencyTitleMedium}(${dataMap['commissionPercent']}%)?');
		</c:when>
		<c:when test="${dataMap['commissionType']==2}">
			return confirm( 'Вы подтверждаете платеж на сумму - ' + (sum + procentSum) + ' ' + data.currency + ', из них комиссия - ' + procentSum + ' ${currencyTitleMedium}(${dataMap['commissionPercent']}%)?');
		</c:when>
		<c:otherwise>
			return confirm( 'Вы подтверждаете платеж на сумму - ' + sum + ' ' + data.currency + '?');
		</c:otherwise>
	</c:choose>
}

function doPay( form )
{
	jQuery.get( webexecuter, { action: '${action}', operation: 'getOrderId', module: '${module}', mid: ${moduleId}, contractId: contractId, ct: 'json', sum: form.sum.value, userEmail: getCustomerAddressValue( form ) }, 
		function( data )
		{
			if ( data.errorMessage )
			{
				alert( data.errorMessage );
			}
			else
			{
				var form = jQuery( "#rbkMoneyGateForm" )[0];
				for ( var a in data.formFields )
				{
					addInputHidden( form, data.formFields[a], data[data.formFields[a]] );
				}
				form.submit();
			}
		}
	);
	return false;
}
</script>

<form action="${dataMap['gateUrl']}" method="POST" id="rbkMoneyGateForm"></form>

<div class="textFont">
	<c:set var="paymentName" value="rbkmoney" scope="request" />
	<c:set var="paymentPayText" scope="request">Платежный сервис RBK Money</c:set>
	<jsp:include page="../include/payment_tabs.jsp"/>
	<jsp:include page="../include/payment_pay.jsp"/>
</div>
